Bug 242999 - On mga G400/G450, desktop-effects hangs on enabling effects
On mga G400/G450, desktop-effects hangs on enabling effects
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Adel Gadllah
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 16:52 EDT by Bryan Christ
Modified: 2009-12-18 00:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Current xorg configuration (1.43 KB, text/plain)
2007-10-08 14:33 EDT, Bryan Christ
no flags Details
Current xorg log (91.70 KB, text/plain)
2007-10-08 14:34 EDT, Bryan Christ
no flags Details
The autogenerate xorg.conf (1.28 KB, text/plain)
2007-10-08 14:58 EDT, Bryan Christ
no flags Details
xorg log file after starting session with autogenerated config (66.88 KB, text/plain)
2007-10-08 15:00 EDT, Bryan Christ
no flags Details

  None (edit)
Description Bryan Christ 2007-06-06 16:52:06 EDT
Description of problem:

Enabling desktop-effects on a MGA 400/450 dual-head configuration causes the
system to hang and the hard drive to begin intensly thrashing.  The system must
be restarted by a cold reboot.  If you are running mdraid, the arrays will be
out of sync and the system will begin a background rebuild.

Version-Release number of selected component (if applicable):

Tested on 32-bit version of Fedora Core 6 initial release and Unity Respin (from
build 4-1-2007).

How reproducible:

100%

Steps to Reproduce:

1. Configure MGA graphics card for dual-head, individual desktop mode through
the Preferences->Screen Resolution dialog box.
2. Reboot as suggested to make dual-head active.
3. Choosed Preferences->Desktop Effects
4. Click on Enable Desktop Effects
  
Actual results:

Total nightmare

Expected results:

Dual, 3D desktops

Additional info:

Issue also reported on RHEL BZ 216925.
Comment 1 Bryan Christ 2007-06-07 00:03:42 EDT
Tested issue on F7 and the problem happens there as well.
Comment 2 Bryan Christ 2007-06-08 22:50:02 EDT
This happens on a MGA G550 as well.  Changing to critical.  It not only caused
my md0 to rebuild, but it caused me to have to manually fsck /dev/md0.
Comment 3 Matěj Cepl 2007-10-08 13:58:16 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Bryan Christ 2007-10-08 14:33:28 EDT
Created attachment 219991 [details]
Current xorg configuration
Comment 5 Bryan Christ 2007-10-08 14:34:40 EDT
Created attachment 220011 [details]
Current xorg log
Comment 6 Bryan Christ 2007-10-08 14:58:44 EDT
Created attachment 220041 [details]
The autogenerate xorg.conf

Used the default GUI that was presented to me to configure dual-monitors.
Comment 7 Bryan Christ 2007-10-08 15:00:02 EDT
Created attachment 220051 [details]
xorg log file after starting session with autogenerated config
Comment 8 Bryan Christ 2007-10-08 15:10:14 EDT
I pressed the button to enable Desktop Effects and my drive began thrashing
uncontrollably.  I tried a Alt+SysRq REISUB, but even that did not work.  I had
to power cycle and now I am enjoying the beautiful process of watching my
md-raid array rebuild.
Comment 9 Bryan Christ 2007-10-08 15:11:34 EDT
Do you need anything else?
Comment 10 Bug Zapper 2008-05-14 08:51:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bryan Christ 2008-05-14 10:37:14 EDT
Please change the version to 8 as I have tested this bug many times with Fedora
8 an it still fails.
Comment 12 Bug Zapper 2008-06-16 21:27:39 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Bryan Christ 2008-06-17 10:07:16 EDT
Please move to F9 and reopen.
Comment 14 Bryan Christ 2008-06-17 10:07:45 EDT
Correction to comment 13:  Please move to F8 and reopen.
Comment 15 Peter van Egdom 2008-06-18 16:52:59 EDT
Reopening bug as per comment #14. Changing version from "7" to "8".
Comment 16 Bug Zapper 2008-11-26 02:18:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-01-09 02:07:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Bryan Christ 2009-01-09 10:57:03 EST
Kristian,

Can you move this to F10 since it is still a problem.
Comment 20 Matěj Cepl 2009-11-17 07:00:31 EST
Switching incorrect assignees to the default one.
Comment 21 Bug Zapper 2009-11-18 04:25:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-12-18 00:55:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.